package com.yeejoin.amos.boot.module.jcs.api.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yeejoin.amos.boot.module.common.api.entity.OrgUsr;
import org.apache.ibatis.annotations.Param;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

public interface FireResourceSupervisionMapper extends BaseMapper<OrgUsr> {

    List<Map<String, Object>> selectPersonnelStats(@Param("bizOrgCode") String bizOrgCode);

    Long selectTodayAttendance(@Param("bizOrgCode") String bizOrgCode);

    List<String> getZzPersonNum();

    List<String> getYwPersonNum();
}
